/***********************************************************
 * $Id: EnumConstantInfo.java 248 2011-03-05 18:23:21Z remoting $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 02.02.2011
 * 
 ***********************************************************/

package org.clazzes.remoting.maven;


/**
 * Information on a an enum constant, which is possibly retrieved from
 * the java source.
 */
public class EnumConstantInfo {

	private final Object constant;
	private final String javaDoc;
	
	public EnumConstantInfo(Object constant) {
		this.constant = constant;
		this.javaDoc = null;
	}
	
	public EnumConstantInfo(Object constant, String javaDoc) {
		this.constant = constant;
		this.javaDoc = javaDoc;
	}
	
	public Object getConstant() {
		return this.constant;
	}
		
	public String getJavaDoc() {
		return this.javaDoc;
	}
}
